package airport_visualization;

import java.awt.Toolkit;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;
import java.awt.Dimension;

/**
 * <p>Title: Visual path of airport</p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2006</p>
 *
 * <p>Company: UNN</p>
 *
 * @author  .,  .,  .
 * @version 1.0
 */
public class MainVisual {
    boolean packFrame = false;

    static {
        System.loadLibrary("frame_dll_jNI");
        // Linux hack,      
        //   :
        // System.load(
        //  "/home/bruce/tij2/appendixb/MsgImpl.so");
    }

    /**
     * Construct and show the application.
     */
    public MainVisual() {
        MainFrame frame = new MainFrame();
        // Validate frames that have preset sizes
        // Pack frames that have useful preferred size info, e.g. from their layout
        if (packFrame) {
            frame.pack();
        } else {
            frame.validate();
        }

        // Center the window
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        Dimension frameSize = frame.getSize();
        if (frameSize.height > screenSize.height) {
            frameSize.height = screenSize.height;
        }
        if (frameSize.width > screenSize.width) {
            frameSize.width = screenSize.width;
        }
        frame.setLocation(0, 0); //(screenSize.width - frameSize.width) / 2,
        //(screenSize.height - frameSize.height) / 2);
        frame.setSize(500, 600);
        frame.setVisible(true);
        try {
            jbInit();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

    /**
     * Application entry point.
     *
     * @param args String[]
     */
    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                try {
                    UIManager.setLookAndFeel(UIManager.
                                             getSystemLookAndFeelClassName());
                } catch (Exception exception) {
                    exception.printStackTrace();
                }

                new MainVisual();
            }
        });
    }

    private void jbInit() throws Exception {
    }
}
