package airport_visualization.airport;

import java.awt.*;

import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * <p>Title: Visual path of airport</p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2006</p>
 *
 * <p>Company: UNN</p>
 *
 * @author  .,  .,  .
 * @version 1.0
 */
public class ErrorFrame extends JFrame {
    BorderLayout borderLayout1 = new BorderLayout();
    JPanel jPanel1 = new JPanel();
    JPanel jPanel2 = new JPanel();
    JButton jButton1 = new JButton();
    JLabel jLabel1 = new JLabel();
    JPanel jPanel3 = new JPanel();

    public ErrorFrame() {
        try {
            jbInit();
        } catch (Exception exception) {
            exception.printStackTrace();
        }
    }

    private void jbInit() throws Exception {
        getContentPane().setLayout(borderLayout1);
        this.setDefaultCloseOperation(DISPOSE_ON_CLOSE);
        this.setResizable(false);
        this.setTitle(" ");
        jLabel1.setText("jLabel1");
        jPanel3.setPreferredSize(new Dimension(10, 30));
        jButton1.addActionListener(new ErrorFrame_jButton1_actionAdapter(this));
        this.getContentPane().add(jPanel1, java.awt.BorderLayout.CENTER);
        jPanel1.add(jLabel1);
        jButton1.setFont(new java.awt.Font("Dialog", Font.BOLD, 14));
        jButton1.setText("OK");
        jPanel2.setPreferredSize(new Dimension(10, 40));
        this.getContentPane().add(jPanel2, java.awt.BorderLayout.SOUTH);
        jPanel2.add(jButton1);
        this.getContentPane().add(jPanel3, java.awt.BorderLayout.NORTH);
    }

    public void setErrText(String s){
        this.jLabel1.setText(s);
    }

    public void jButton1_actionPerformed(ActionEvent e) {
        this.hide();
    }
}


class ErrorFrame_jButton1_actionAdapter implements ActionListener {
    private ErrorFrame adaptee;
    ErrorFrame_jButton1_actionAdapter(ErrorFrame adaptee) {
        this.adaptee = adaptee;
    }

    public void actionPerformed(ActionEvent e) {
        adaptee.jButton1_actionPerformed(e);
    }
}
