/////////////////////////////////////////////////////////////////////////////
//                                                                         //
//                                  //
//                             . ..                        //
//                                                                         //
//         : TManagementFlight.h                                       //
//                                                                         //
//   :            //
//                                                                         //
//  ()   :  ..,  ..,  ..                    //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

#pragma once
#include "imanagementflight.h"

#define NS_MANAGEMENT_FLIGH ManagementFlight

namespace NS_MANAGEMENT_FLIGH{
class TManagementFlight :
	public IManagementFlight
{
protected:
	IDataAccess * pIDataAccess; //     
public:
	TManagementFlight(IDataAccess * pIDataAccess);
	~TManagementFlight(void);
//virtual
	/**
	* :
	*    ,    
	* :
	*   
	*  :
	*         
	*      NULL
	*/
	virtual TAllAirport    * getPointAllAirport();
	/**
	* :
	*    ,     
	*    
	* :
	*   NumberAirport -  
	*  :
	*         
	*      NULL
	*/
	virtual TAirportStruct * getFlights(int NumberAirport);
	/**
	* :
	*      
	* :
	*   NumberAirport -  
	*   nameAirport -  
	*  :
	*    
	*   -1 -       = NULL
	*   -2 -    
	*/
	virtual int addAirport    (int NumberAirport, string nameAirport);
	/**
	* :
	*       
	* :
	*   name -  
	*   NumberFlight -  
	*   price -  
	*   startAirport -  ,    
	*   finishAirport -  ,    
	*  :
	*    
	*   -1 -       = NULL
	*   -2 -    
	*/
	virtual int addFlight     (string name, int NumberFlight, int price, int startAirport, int finishAirport);
	/**
	* :
	*    
	* :
	*   NumberAirport -  
	*   NumberFlight -  
	*  :
	*    
	*   -1 -       = NULL
	*   -2 -    
	*/
	virtual int removeFlight  (int NumberAirport, int NumberFlight);
	/**
	* :
	*    
	* :
	*   NumberAirport -  
	*  :
	*    
	*   -1 -       = NULL
	*   -2 -    
	*/
	virtual int removeAirport (int NumberAirport);
};
}