package airport_visualization.airport;

import java.awt.*;

import javax.swing.*;
import javax.swing.table.AbstractTableModel;

/**
 * <p>Title: Visual path of airport</p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2006</p>
 *
 * <p>Company: UNN</p>
 *
 * @author  .,  .,  .
 * @version 1.0
 */
public class AirportFrame extends JFrame {
    int NumberAirport = -1;

    TFlightTable pTFlightTable = new TFlightTable();

    BorderLayout borderLayout1 = new BorderLayout();
    JTable jTable1 = new JTable();
    JScrollPane jScrollPane1 = new JScrollPane();
    JLabel jLabel1 = new JLabel();
    JPanel jPanel1 = new JPanel();
    GridLayout gridLayout1 = new GridLayout();
    JLabel jLabel2 = new JLabel();
    JPanel jPanel2 = new JPanel();
    BorderLayout borderLayout2 = new BorderLayout();
    public AirportFrame() {
        try {
            jbInit();
        } catch (Exception exception) {
            exception.printStackTrace();
        }
    }


    private void jbInit() throws Exception {
        getContentPane().setLayout(borderLayout1);
        this.setState(Frame.NORMAL);
        this.setTitle("");
        jLabel1.setFont(new java.awt.Font("Dialog", Font.BOLD, 11));
        jLabel1.setText("  :");
        this.jTable1.setModel(pTFlightTable);
        jTable1.setBorder(BorderFactory.createLineBorder(Color.black));
//        jTable1.setPreferredSize(new Dimension(200, 200));
        jPanel1.setLayout(gridLayout1);
        jLabel2.setToolTipText("");
        jLabel2.setText(" ");
        jPanel2.setLayout(borderLayout2);
        jPanel1.add(jLabel1);
        jPanel1.add(jLabel2);
        jScrollPane1.getViewport().add(jTable1);
        jPanel2.add(jScrollPane1, java.awt.BorderLayout.CENTER);
        this.getContentPane().add(jPanel1, java.awt.BorderLayout.NORTH);

        this.getContentPane().add(jPanel2, java.awt.BorderLayout.CENTER);
    }

    public int getNumberAirport() {
        return NumberAirport;
    }

    public void setNumberAirport(int NumberAirport) {
        this.NumberAirport = NumberAirport;
        this.jLabel2.setText(String.valueOf(NumberAirport));
    }

    public void dataRefresh() {
        this.dataClear();
        this.setData();
        this.jTable1.revalidate();
    }

    native void setData();

    void addFlitgh(int NumberAirport,
                   int NumberFlight,
                   String nameFlight,
                   int price,
                   int NumberSAirport,
                   int NumberFAirport,
                   int CountAmount) {
        pTFlightTable.data.addFlitgh(NumberAirport, NumberFlight,
                                     nameFlight, price,
                                     NumberSAirport, NumberFAirport,
                                     CountAmount);
    }

    void dataClear() {
        pTFlightTable.data.clear();
    }

}


class TFlightTable extends AbstractTableModel {
    public FlitghInf data = new FlitghInf();

    public int getColumnCount() {
        return 6;
    }

    public int getRowCount() {
        return data.getSize();
    }

    public Object getValueAt(int row, int col) {
        FlitghtLinc fl = data.getFlitgh(row);
        switch (col) {
        case 0:
            return new Integer(fl.NumberFlight);
        case 1:
            return fl.nameFlight;
        case 2:
            return new Integer(fl.price);
        case 3:
            return new Integer(fl.NumberSAirport);
        case 4:
            return new Integer(fl.NumberFAirport);
        case 5:
            return new Integer(fl.CountAmount);
        }
        return new Integer( -1);
    }

    public static String[] columnNames = {" ", "",
                                         "", " ", " ",
                                         ""};
    public String getColumnName(int column) {
        return columnNames[column];
    }
}
