/////////////////////////////////////////////////////////////////////////////
//                                                                         //
//                                  //
//                             . ..                        //
//                                                                         //
//         : IManagementAirport.h                                      //
//                                                                         //
//   :                              //
//                                                                         //
//  ()   :  ..,  ..,  ..                    //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

#pragma once
#include <string>
#include <map>

using namespace std;
//,    
typedef struct 
  {
    string name; // 
	int price; // 
    int startingAirport; // 
    int finishAirport; // 
    int countArmoring; //  
  } TFlightLink;

typedef map<int, TFlightLink > TAirportStruct; //,    

class IManagementAirport
{
public:
	IManagementAirport(void);
	~IManagementAirport(void);
	/**
	* :
	*       
	* :
	*   NumberFlight -  
	*   name -  
	*   price -  
	*   startAirport -  ,    
	*   finishAirport -  ,    
	*  :
	*    
	*/
	virtual int addFlight     (int NumberFlight, string name, int price, int startAirport, int finishAirport) = 0;
	/**
	* :
	*     
	* :
	*   NumberFlight -  
	*   pTFlightLink -  ,  
	*  :
	*    
	*/
	virtual int getFlight     (int NumberFlight, TFlightLink &pTFlightLink) = 0;
	/**
	* :
	*    
	* :
	*   NumberFlight -  
	*  :
	*    
	*/
	virtual int removeFlight  (int NumberFlight) = 0;
	/**
	* :
	*      
	* :
	*   NumberFlight -  
	*  :
	*    
	*/
	virtual int armoringTicket(int NumberFlight) = 0;
	/**
	* :
	*      
	* :
	*   
	*  :
	*        
	*/
	virtual TAirportStruct *   getFlights() = 0;
};
