/////////////////////////////////////////////////////////////////////////////
//                                                                         //
//                                  //
//                             . ..                        //
//                                                                         //
//         : TManagementFlight.cpp                                     //
//                                                                         //
//   :               //
//                                                       //
//                                                                         //
//  ()   :  ..,  ..,  ..                    //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

#include "TManagementFlight.h"
namespace NS_MANAGEMENT_FLIGH{
	TManagementFlight::TManagementFlight(IDataAccess * pIDataAccess)
	{
		this->pIDataAccess = pIDataAccess;
	}

	TManagementFlight::~TManagementFlight(void)
	{
		this->pIDataAccess = NULL;
	}
/**
* :
*    ,    
* :
*   
*  :
*         
*      NULL
*/
	TAllAirport    * TManagementFlight::getPointAllAirport()
	{
		if (this->pIDataAccess==NULL)
		{
			return NULL;
		}
		return (this->pIDataAccess->getPointAllAirport());
	}
/**
* :
*    ,     
*    
* :
*   NumberAirport -  
*  :
*         
*      NULL
*/
	TAirportStruct * TManagementFlight::getFlights(int NumberAirport)
	{
		if (this->pIDataAccess==NULL)
		{
			return NULL;
		}
		return (this->pIDataAccess->getFlights(NumberAirport));
	}
/**
* :
*      
* :
*   NumberAirport -  
*   nameAirport -  
*  :
*    
*   -1 -       = NULL
*   -2 -    
*/
	int TManagementFlight::addAirport    (int NumberAirport, string nameAirport)
	{
		int errorCode;
		if (this->pIDataAccess==NULL)
		{
			return -1;
		}
		errorCode = this->pIDataAccess->addAirport(NumberAirport, nameAirport);
		//   
		if (errorCode<0)
		{
			return -2;
		}
		return 0;
	}
/**
* :
*       
* :
*   name -  
*   NumberFlight -  
*   price -  
*   startAirport -  ,    
*   finishAirport -  ,    
*  :
*    
*   -1 -       = NULL
*   -2 -    
*/
	int TManagementFlight::addFlight     (string name, int NumberFlight, int price, int startAirport, int finishAirport)
	{
		int errorCode;
		if (this->pIDataAccess==NULL)
		{
			return -1;
		}
		errorCode = this->pIDataAccess->addFlight(name, NumberFlight, price, startAirport, finishAirport);
		//   
		if (errorCode<0)
		{
			return -2;
		}
		return 0;
	}
/**
* :
*    
* :
*   NumberAirport -  
*   NumberFlight -  
*  :
*    
*   -1 -       = NULL
*   -2 -    
*/
	int TManagementFlight::removeFlight  (int NumberAirport, int NumberFlight)
	{
		int errorCode;
		if (this->pIDataAccess==NULL)
		{
			return -1;
		}
		errorCode = this->pIDataAccess->removeFlight(NumberAirport, NumberFlight);
		//   
		if (errorCode<0)
		{
			return -2;
		}
		return 0;
	}
/**
* :
*    
* :
*   NumberAirport -  
*  :
*    
*   -1 -       = NULL
*   -2 -    
*/
	int TManagementFlight::removeAirport (int NumberAirport)
	{
		int errorCode;
		if (this->pIDataAccess==NULL)
		{
			return -1;
		}
		errorCode = this->pIDataAccess->removeAirport(NumberAirport);
		//   
		if (errorCode<0)
		{
			return -2;
		}
		return 0;
	}
}