#include "stdafx.h"
#include "jni.h"
#include "airport_visualization_aggregateFiting.h"

/*
 * Class:     airport_visualization_aggregateFiting
 * Method:    getRouteFlight
 * Signature: (III)I
 */
JNIEXPORT jint JNICALL Java_airport_1visualization_aggregateFiting_getRouteFlight
(JNIEnv *env, jobject, jint p1, jint p2, jint p3){
	int pp1,pp2,pp3;
	pp1 = p1;
	pp2 = p2;
	pp3 = p3;
	return ((jint)(pIArmoringTicket->getRouteFlight(pp1,pp2,pp3)));
}

/*
 * Class:     airport_visualization_aggregateFiting
 * Method:    armoringTickets
 * Signature: ()I
 */
JNIEXPORT jint JNICALL Java_airport_1visualization_aggregateFiting_armoringTickets
(JNIEnv *env, jobject){
	return ((jint)(pIArmoringTicket->armoringTickets()));
}

/*
 * Class:     airport_visualization_aggregateFiting
 * Method:    setData
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_airport_1visualization_aggregateFiting_setData
(JNIEnv *env, jobject obj){
	jclass cls = env->GetObjectClass(obj);
	jmethodID mid = env->GetMethodID(cls, "addFlitgh", "(IILjava/lang/String;IIII)V");
	jint NumberAirport=0;
	jint NumberFlight=0;
	jstring nameFlight=env->NewStringUTF("1");
	jint price=0;
	jint NumberSAirport=0;
	jint NumberFAirport=0;
	jint CountAmount=0;
	
	TRouteFlight::iterator It_route;
	TRouteFlight * route;
	
	route = pIArmoringTicket->getRouteFlight();

	TAirportStruct *ar;

	if(route!= NULL){
		if(!route->empty())
		{

			for ( It_route = route->begin( ); It_route != route->end( ); It_route++ )
			{
				NumberAirport=It_route->NumberAirport;
				NumberFlight =It_route->NumberFlight;
				ar = pIManagementFlight->getFlights(NumberAirport);
				if(ar!=NULL){
					price          = (*ar)[NumberFlight].price;
					NumberSAirport = (*ar)[NumberFlight].startingAirport;
					NumberFAirport = (*ar)[NumberFlight].finishAirport;
					CountAmount    = (*ar)[NumberFlight].countArmoring;
					nameFlight = env->NewStringUTF((*ar)[NumberFlight].name.c_str());
					env->CallVoidMethod(obj, mid,
						NumberAirport,
						NumberFlight,
						nameFlight,
						price,
						NumberSAirport,
						NumberFAirport,
						CountAmount);
				}
			}
		}
	}
}