#include "stdafx.h"
#include "jni.h"
#include "airport_visualization_airport_AirportFrame.h"

JNIEXPORT void JNICALL Java_airport_1visualization_airport_AirportFrame_setData
(JNIEnv *env, jobject obj){
	jclass cls = env->GetObjectClass(obj);
	jfieldID fid = env->GetFieldID(cls, "NumberAirport", "I");
	jmethodID mid = env->GetMethodID(cls, "addFlitgh", "(IILjava/lang/String;IIII)V");
	jint NumberAirport;
	jint NumberFlight;
	jstring nameFlight;
	jint price;
	jint NumberSAirport;
	jint NumberFAirport;
	jint CountAmount;
	int NA = (int) env->GetIntField(obj, fid);

	TAirportStruct::iterator It_air;
	TAirportStruct *ar;

	ar = pIManagementFlight->getFlights(NA);

	for ( It_air = ar->begin( ); It_air != ar->end( ); It_air++ )
	{
		NumberAirport = NA;
		NumberFlight = It_air->first;
		nameFlight = env->NewStringUTF(It_air->second.name.c_str());
		price = It_air->second.price;
		NumberSAirport = It_air->second.startingAirport;
		NumberFAirport = It_air->second.finishAirport;
		CountAmount = It_air->second.countArmoring;
		//It_air->second.
		env->CallVoidMethod(obj, mid,
			NumberAirport,
			NumberFlight,
			nameFlight,
			price,
			NumberSAirport,
			NumberFAirport,
			CountAmount);
	}
}
//JNIEnv* env, jobject, jobject obj) {
//  jclass cls = env->GetObjectClass(obj);
//  jfieldID fid = env->GetFieldID(
//    cls, "aValue", "I");
//  jmethodID mid = env->GetMethodID(
//    cls, "divByTwo", "()V");
//  int value = env->GetIntField(obj, fid);
//  printf("Native: %d\n", value);
//  env->SetIntField(obj, fid, 6);
//  env->CallVoidMethod(obj, mid);
//  value = env->GetIntField(obj, fid);
//  printf("Native: %d\n", value);
//} ///:~